Change log for baresip package in Debian

124 of 24 results
Published in buster-release on 2019-02-28
Published in sid-release on 2019-02-18
baresip (0.6.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <email address hidden>  Mon, 18 Feb 2019 13:30:38 +0100

Available diffs

Superseded in sid-release on 2019-02-20
baresip (0.6.1~20190207-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Extend coverage of packaging.
  * Simplify rules.
    Stop build-depend on cdbs dh-buildinfo.
  * Update and unfuzz patches.
  * Update watch file:
    + Rewrite usage comment.
    + Simplify regular expressions.
  * Declare compliance with Debian Policy 4.3.0.
  * Generate manpage.
    Build-depend on help2man.

 -- Jonas Smedegaard <email address hidden>  Mon, 11 Feb 2019 21:12:28 +0100

Available diffs

Superseded in buster-release on 2019-02-28
Superseded in sid-release on 2019-02-13
baresip (0.6.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten build-dependency on libre-dev librem-dev.

 -- Jonas Smedegaard <email address hidden>  Wed, 05 Dec 2018 13:18:50 +0100

Available diffs

Superseded in buster-release on 2018-12-11
Superseded in sid-release on 2018-12-07
baresip (0.5.11-2) unstable; urgency=medium

  * Fix extend patch 1002 to cover librem libspeexdsp libopencore-amrnb.
    Closes: Bug#912107. Thanks to Adrian Bunk.
  * Unfuzz patch 2001.
  * Fix build-depend on libvo-amrwbenc-dev.

 -- Jonas Smedegaard <email address hidden>  Thu, 29 Nov 2018 19:56:17 +0100
Superseded in buster-release on 2018-12-05
Superseded in sid-release on 2018-11-30
baresip (0.5.11-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Add patch 1002 to avoid hardcoded locations of system headers.
    Closes: Bug#910127. Thanks to Helmut Grohne.
    Reorder and Unfuzz patches.
  * Update package relations: Tighten build-dependency on librem-dev.
  * Enable new RTCP stats module.

 -- Jonas Smedegaard <email address hidden>  Wed, 03 Oct 2018 09:11:28 +0200
Superseded in buster-release on 2018-10-08
Superseded in sid-release on 2019-01-28
baresip (0.5.10-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Stop explicitly enable b2bua module: Auto-detected now.
  * Update package relations:
    + Stop build-depend on libspeex-dev: speex module dropped upstream.
  * Update long descriptions:
    + Stop advertise support for Speex codec.
    + Fix advertise support for JSON-over-TCP control interface
      (included since 0.5.9-1).

 -- Jonas Smedegaard <email address hidden>  Fri, 10 Aug 2018 13:40:40 +0200
Superseded in buster-release on 2018-08-21
Superseded in sid-release on 2018-08-20
baresip (0.5.9-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: bug#889522, Thanks to Adrian Bunk.
    Closes: bug#888344, Thanks to James Cowgill.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.1.4.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Add Files section lacking licensing.
  * Update package relations: Tighten build-dependency on libre-dev.
  * Update Vcs-* fields: Source hosted at Salsa.debian.org now.
  * Remove Ramakrishnan Muthhukrishnan as uploader: Thanks for your
    interest in the past, Ram.
    Closes: Bug#859278. Thanks to Mattia Rizzolo and the MIA team.

  [ Vasudev Kamath ]
  * Bump compat level to 10.
  * debhelper now uses versioned depend on >= 10~.
  * Add README.source indicating how to handle and upload package to
    archive.

 -- Vasudev Kamath <email address hidden>  Sun, 03 Jun 2018 20:28:56 +0530
Deleted in buster-release (Reason: None provided.)
Superseded in sid-release on 2018-08-31
baresip (0.5.7-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Enable new MQTT module:
    + Build-depend on libmosquitto-dev.
    + Mention MQTT in long descriptions.
  * Declare compliance with Debian Policy 4.1.3.
  * Add TODO items about library packages and GZRTP module.
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <email address hidden>  Mon, 08 Jan 2018 17:52:59 +0100
Superseded in buster-release on 2018-01-14
Superseded in sid-release on 2018-04-16
baresip (0.5.6-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Track files copyright Jonathan Sieber.
  * Update watch file: Use substitution strings.
  * Enable new Avahi module:
    + Build-depend on libavahi-client-dev.
    + Have baresip-core recommend avahi-daemon.
    + Mention Avahi in long descriptions.
  * Update copyright-check script to extract png files.
  * Fix tighten build-dependency on librem-dev due to changed types.
    Closes: Bug#878341. Thanks to Adrian Bunk.
  * Declare compliance with Debian Policy 4.1.1.

 -- Jonas Smedegaard <email address hidden>  Sat, 28 Oct 2017 01:31:09 +0200

Available diffs

Superseded in buster-release on 2017-11-02
Superseded in sid-release on 2017-10-28
baresip (0.5.5-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Advertise DEP3 format in patch headers.
  * Tighten lintian overrides regarding License-Reference.
  * Declare compliance with Debian Policy 4.1.0.
  * Update package relations: Tighten build-dependency on libre-dev.
  * Rename patch from NMU 0.5.4-1.1 to fit documented patch naming
    micro-policy.
  * Unfuzz patches.

 -- Jonas Smedegaard <email address hidden>  Mon, 11 Sep 2017 10:28:44 +0200
Superseded in buster-release on 2017-09-16
Superseded in sid-release on 2017-09-11
baresip (0.5.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  
  [ Steve Langasek ]
  * Build with -D_GNU_SOURCE to fix FTBFS with GCC 7. (Closes: #872406)

 -- Sebastian Ramacher <email address hidden>  Sat, 26 Aug 2017 11:41:57 +0200
Superseded in buster-release on 2017-09-03
Superseded in sid-release on 2017-08-28
baresip (0.5.4-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Config:
      - Enable audio level RTP extension.
    + baresip-core:
      - Support Client-to-Mixer Audio Level Indication (RFC 6464).
      - Support RTP Header Extensions (RFC 5285).
      - module: dont load same static module twice.
      - ua: add ua_progress().
      - ua: check for Accept header in incoming OPTIONS request.
      - use a dummy RTP port for incoming OPTIONS.
      - vidcodec: make the API re-entrant.
      - vidfilt: make the API re-entrant.
      - vidisp: make the API re-entrant.
      - vidsrc: make the API re-entrant.
    + selftest:
      - add test for audio level indication in call.
      - add test for call progress.
    + Update all video modules with API-changes.
    + zrtp: check for RTP packet in send handler.
      - registered zrtp_log function with zrtp engine.
      - improved info message on how to verify remote peer.
      - improved setting and printing of zrtp cache file.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten to build-depend on recent librem-dev.
    + Tighten build-dependency on libre-dev.
    + Drop obsolete temporary breaks/replaces for older baresip.
    + Fix limit build-dependency on libdirectfb-dev to supported archs.

 -- Jonas Smedegaard <email address hidden>  Mon, 03 Jul 2017 12:57:00 +0200

Available diffs

Superseded in sid-release on 2017-07-14
baresip (0.5.3-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Modernize Vcs-Browser field:
    + Use git (not cgit) in path.
  * Modernize cdbs:
    + Resolve archs in maintainer script (not during build).
    + Fix maintainer script copyright-check.

 -- Jonas Smedegaard <email address hidden>  Sat, 24 Jun 2017 08:37:12 +0200

Available diffs

Deleted in experimental-release (Reason: None provided.)
baresip (0.5.3-1) experimental; urgency=medium

  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on licensecheck.
  * Enable module omx.
    + Build-depend on libomxil-bellagio-dev.
  * Tighten to build-depend on recent libre.
  * Stop explicitly enable jack module: Auto-detected now.

 -- Jonas Smedegaard <email address hidden>  Sun, 21 May 2017 18:09:17 +0200
Superseded in experimental-release on 2017-05-22
baresip (0.5.1-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream authors.
  * Update package relations: Stop build-depend on libsrtp0-dev.

 -- Jonas Smedegaard <email address hidden>  Mon, 13 Mar 2017 17:15:52 +0100
Published in stretch-release on 2017-01-28
Superseded in sid-release on 2017-06-24
baresip (0.5.0-4) unstable; urgency=medium

  * Update package relations: Fix breaks/replaces for baresip-core.

 -- Jonas Smedegaard <email address hidden>  Tue, 17 Jan 2017 23:21:28 +0100
Superseded in sid-release on 2017-01-18
baresip (0.5.0-3) unstable; urgency=medium

  * Improve short and long descriptions.
  * Fix install examples.
  * Add binary package baresip-core, and make baresip a metapackage.
  * Fix install upstream changelog.

 -- Jonas Smedegaard <email address hidden>  Tue, 17 Jan 2017 18:38:33 +0100
Superseded in sid-release on 2017-01-19
baresip (0.5.0-2) unstable; urgency=medium

  * Fix skip directfb module where unsupported.
  * Update package relations: Fix have other packages depend on baresip.
  * Enable module sndio.
  * Fix list only supported features (and mention additional ones) in
    long descriptions.

 -- Jonas Smedegaard <email address hidden>  Thu, 12 Jan 2017 22:05:39 +0100
Superseded in sid-release on 2017-01-13
baresip (0.5.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Vasudev Kamath ]
  * Fix path to wav files: Set variable PREFIX during build.
  * Enable more modules:
    + gst_video1
    + gtk
    + rst
    Build-depend on libgtk2.0-dev libgstreamer-plugins-base1.0-dev
    libmpg123-dev libx11-dev libxext-dev.
  * Add separate binary packages for non-core modules:
    + baresip-ffmpeg
    + baresip-gstreamer
    + baresip-gtk
    + baresip-x11

  [ Jonas Smedegaard ]
  * Add myself as uploader (and sort the list while at it).
  * Refresh patches with shortening quilt options.
  * Add git-buildpackage config:
    + Use pristine-tar.
    + Sign tags.
    + Filter debian dir and any .git* file.
  * Fix clean built code.
  * Git-ignore quilt .pc dir (and avoid upstream git-ignore items).
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Add myself as copyright holder.
  * Let CDBS resolve build flags.
  * Override lintian for possible-gpl-code-linked-with-openssl; False
    positive.
  * Drop obsolete upstream patches.
  * Install README and TODO files with all binary packages.
  * Install example files as such.
  * Fix stop suppress copyright check of debian dir: May contain code.
  * Enable more modules: amr b2bua codec2 directfb echo jack h265
    libsrtp mpa pcp portaudio pulse sdl2 snapshot sndfile sndio speex
    speex_aec speex_pp swscale.
  * Update package relations:
    + Build-depend on libcodec2-dev libjack-dev libopencore-amrnb
      libopencore-amrwb libpng-dev libpulse-dev libsdl2-dev
      libsndfile1-dev libsndio-dev libspeex-dev libspeexdsp-dev
      libsrtp0-dev libswscale-dev libtwolame-dev libx265-dev
      portaudio19-dev.
    + Build-depend on libdirectfb-dev on supported archs
      (queried online in maintainer mode).
    + Limit to build-depend on libevdev-dev only on linux archs.
    + Fix build-depend explicitly on libssl-dev.
      Closes: Bug#849694. Thanks to Logan Rosen.
    + Fix have other packages break+replace baresip.
      Closes: Bug#850663. Thanks to Axel Beckert.
    + Have baresip suggest other packages.
    + Have other packages enhance baresip.
    + Mention other packages in long description of baresip.
  * Fix dollar-escape skeleton variables.
  * Update watch file:
    + Add usage comment.
    + Use github pattern from documentation.
    + Add trailing newline.
  * Simplify build:
    + Drop build flags equal to auto-resolved defaults.
    + Let CDBS handle build and install.
  * Enable testsuite.
    Thanks to Alfred Heggestad.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info:
    + Fix double-indent subsequent copyright holders.
    + Strip useless copyright pseudo-signs.
    + Sort copyright holders.
    + Extend coverage of Debian packaging.
    + Add license grant to rules.

 -- Jonas Smedegaard <email address hidden>  Thu, 12 Jan 2017 17:13:18 +0100
Deleted in experimental-release (Reason: None provided.)
baresip (0.5.0-1~exp4) experimental; urgency=medium

  * Fix really override lintian for
    possible-gpl-code-linked-with-openssl (binary package, not source).
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update package relations:
    + Limit to build-depend on livevdev-dev only on linux archs.
    + Fix build-depend explicitly on libssl-dev.
      Closes: Bug#849694. Thanks to Logan Rosen.

 -- Jonas Smedegaard <email address hidden>  Fri, 30 Dec 2016 15:56:49 +0100
Superseded in experimental-release on 2016-12-30
baresip (0.5.0-1~exp3) experimental; urgency=medium

  * Enable module sdl2 and include in binary package baresip-x11.
    Build-depend on libsdl2-dev.
  * Enable module h265.
    Build-depend on libx265-dev.
  * Simplify build:
    + Drop build flags equal to auto-resolved defaults.
    + Let CDBS handle build and install.
  * Enable testsuite.
    Thanks to Alfred Heggestad.

 -- Jonas Smedegaard <email address hidden>  Wed, 28 Dec 2016 00:39:06 +0100
Superseded in experimental-release on 2016-12-28
baresip (0.5.0-1~exp2) experimental; urgency=medium

  [ Vasudev Kamath ]
  * Enable module rst and include in binary package baresip-x11.
  * Build-depend on libmpg123-dev.

  [ Jonas Smedegaard ]
  * Fix stop suppress copyright check of debian dir: May contain code.
  * Enable a bunch of modules:
    + In binary package baresip: amr b2bua codec2 directfb echo
      jacklibsrtp mpa pcp portaudio pulse snapshot sndfile sndio speex
      speex_aec speex_pp.
    + In binary package baresip-ffmpeg: swscale.
    + Build-depend on libcodec2-dev libdirectfb-dev libjack-dev
      libopencore-amrnb libopencore-amrwb libpng-dev libpulse-dev
      libsndfile1-dev libsndio-dev libspeex-dev libspeexdsp-dev
      libsrtp0-dev libswscale-dev libtwolame-dev portaudio19-dev.
  * Fix dollar-escape skeleton variables.
  * Update watch file:
    + Add usage comment.
    + Use github pattern from documentation.
    + Add trailing newline.

 -- Jonas Smedegaard <email address hidden>  Tue, 27 Dec 2016 01:43:47 +0100
Superseded in experimental-release on 2016-12-27
baresip (0.5.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Add myself as uploader (and sort the list while at it).
  * Refresh patches with shortening quilt options.
  * Add git-buildpackage config:
    + Use pristine-tar.
    + Sign tags.
    + Filter debian dir and any .git* file.
  * Fix clean built code.
  * Git-ignore quilt .pc dir (and avoid upstream git-ignore items).
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Add myself as copyright holder.
  * Let CDBS resolve build flags.
  * Override lintian for possible-gpl-code-linked-with-openssl; False
    positive.
  * Drop obsolete upstream patches.
  * Install README and TODO files with all binary packages.
  * Install example files as such.

  [ Vasudev Kamath ]
  * Fix path to wav files: Set variable PREFIX during build.
  * Enable more modules:
    + gst_video1
    + gtk
    Build-depend on libgtk2.0-dev libgstreamer-plugins-base1.0-dev
    libx11-dev libxext-dev.
  * Add separate binary packages for non-core moules:
    + baresip-ffmpeg
    + baresip-gstreamer
    + baresip-gtk
    + baresip-x11

 -- Jonas Smedegaard <email address hidden>  Sat, 24 Dec 2016 03:15:52 +0100
Superseded in stretch-release on 2017-01-28
Superseded in sid-release on 2017-01-12
baresip (0.4.20-1) unstable; urgency=medium

  * Initial Release.
    Closes: bug#673881

 -- Vasudev Kamath <email address hidden>  Thu, 22 Dec 2016 17:28:27 +0530
124 of 24 results